Get a list of vacancies
GET
/api/crm/v2/vacanciesv2 operationId:
vacancies.defaultAuthorization
api-token + language + role
Query parameters
chain_idinteger
Example: 7134
page_numberinteger
Example: 1
Responses
OK
object
statusstringrequired
Values:successerror
Example: success
dataobject
listarray of object
idintegerrequired
Example: 1
namestringrequired
Example: Musician
salarynumberrequired
Example: 250.55
publishedbooleanrequired
Example: true
city_namestring
Example: Kirov
branch_idinteger
Example: 8778
descriptionstring
Example: description
reasonstring
Example: reason
countinteger
Example: 10
requirementsstring
Example: requirements
dutiesstring
Example: duties
conditionsstring
Example: conditions
image_previewstring
Example: https://cdn.foodsoul.dev/zones/ru/branches/8785/images/vacancies/969168991688de0c14e5495c40974f14.jpg?v1718293355
image_fullstring
Example: https://cdn.foodsoul.dev/zones/ru/branches/8785/images/vacancies/c561dd65bac58686552fb0d4bd12f72a.jpg?v1718293365
paginationobject (Pagination)
max_countintegerrequired
Number of items per page
Example: 30
page_numberintegerrequired
Current page number; limited so that the offset does not exceed 1000
Example: 1
has_nextbooleanrequired
Is there a next page
Example: true
has_previousbooleanrequired
Is there a previous page
Example: false
One of the options
object